%define upstream_name pynndescent

Name:       python-%{upstream_name}
Version:    0.4.7
Release:    %mkrel 3
Summary:    Nearest Neighbor Descent
Group:      Development/Python
License:    BSD
URL:        https://pypi.org/project/pynndescent/
Source0:    https://files.pythonhosted.org/packages/ba/b9/0167d701516d51b40b5d1bd6766807f9a2048e856c2880ae53ec3f97b55f/%{upstream_name}-%{version}.tar.gz
BuildArch:  noarch

%description
A Python nearest neighbor descent for approximate nearest neighbors. This is a
relatively straightforward python implementation of Nearest Neighbor Descent
for k-neighbor-graph construction and approximate nearest neighbor search, as
per the paper:
Dong, Wei, Charikar Moses, and Kai Li. “Efficient k-nearest neighbor graph
construction for generic similarity measures.” Proceedings of the 20th
international conference on World wide web. ACM, 2011.

%package -n     python3-%{upstream_name}
Summary:        A Python library to read/write Excel 2010 xlsx/xlsm files
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
%{?python_provide:%python_provide python3-%{upstream_name}}

%description -n python3-%{upstream_name}
A Python nearest neighbor descent for approximate nearest neighbors. This is a
relatively straightforward python implementation of Nearest Neighbor Descent
for k-neighbor-graph construction and approximate nearest neighbor search, as
per the paper:
Dong, Wei, Charikar Moses, and Kai Li. “Efficient k-nearest neighbor graph
construction for generic similarity measures.” Proceedings of the 20th
international conference on World wide web. ACM, 2011.

%prep
%autosetup -n %{upstream_name}-%{version} -p1

%build
%py3_build

%install
%py3_install

%files -n python3-%{upstream_name}
%{python3_sitelib}/pynndescent
%{python3_sitelib}/pynndescent-%{version}-*.egg-info


%changelog
* Thu Jul 23 2020 ovitters <ovitters> 0.4.7-3.mga8
+ Revision: 1608300
- rebuild for removing pythonegg buildrequires in srpm
- rebuild for removing pythonegg buildrequires in srpm

* Sat Apr 18 2020 guillomovitch <guillomovitch> 0.4.7-1.mga8
+ Revision: 1568943
- imported package python-pynndescent

